| 1.0.2 API documentation

Functions
scalar_integer.hpp File Reference

GLM_EXT_scalar_integer More...

Go to the source code of this file.

## Functions
template<typename genIUType >
GLM_FUNC_DECL int | findNSB (genIUType x, int significantBitCount)
| Returns the bit number of the Nth significant bit set to 1 in the binary representation of value. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isMultiple (genIUType v, genIUType Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isPowerOfTwo (genIUType v)
| Return true if the value is a power of two number. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | nextMultiple (genIUType v, genIUType Multiple)
| Higher multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | nextPowerOfTwo (genIUType v)
| Return the power of two number which value is just higher the input value, round up to a power of two. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | prevMultiple (genIUType v, genIUType Multiple)
| Lower multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | prevPowerOfTwo (genIUType v)
| Return the power of two number which value is just lower the input value, round down to a power of two. More...

## Detailed Description

GLM_EXT_scalar_integer

See also
  Core features (dependence)

Definition in file scalar_integer.hpp.